Subject: [bug#75241] [PATCH] gnu: gerbil: Don't target the build machine.

From: Adam Faiz <[email-masked]>
Date: Thu, 2 Jan 2025 11:04:26 +0800

Hi jgart,

> Hi, thanks for the contribution.
> 
> Can you explain the context and motivation around this change?
> 
> It would help me in reviewing this.
> 
> Thanks!

Sure! I wanted to try out Gerbil Scheme, so I installed the gerbil package. Unfortunately, using it's interpreter 'gxi' immediately gave an "Illegal instruction" error on my computer. After inspecting the configure script, I found that it defaults to compiling specifically for the CPU instructions available on the machine performing the build(-march=native). This leads to build results that aren't portable or reproducible across different machines of the same CPU architecture.

Avoiding this requires setting --enable-march to the empty string, which is only done for OpenBSD in the configure script, so the patch I sent sets this as a configure flag. It might be counterintuitive that there isn't a --disable-march option, but I wanted to fix the problem with the least work. If you feel there's a better way to solve the problem, please let me know.

> -- 
> all the best,
> jgart
Sincerely,
Adam